package com.xzzn.ems.service;

import java.util.List;
import com.xzzn.ems.domain.EmsBatteryCluster;

/**
 * 电池簇数据Service接口
 *
 * @author xzzn
 * @date 2025-06-29
 */
public interface IEmsBatteryClusterService
{
    /**
     * 查询电池簇数据
     *
     * @param id 电池簇数据主键
     * @return 电池簇数据
     */
    public EmsBatteryCluster selectEmsBatteryClusterById(Long id);

    /**
     * 查询电池簇数据列表
     *
     * @param emsBatteryCluster 电池簇数据
     * @return 电池簇数据集合
     */
    public List<EmsBatteryCluster> selectEmsBatteryClusterList(EmsBatteryCluster emsBatteryCluster);

    /**
     * 新增电池簇数据
     *
     * @param emsBatteryCluster 电池簇数据
     * @return 结果
     */
    public int insertEmsBatteryCluster(EmsBatteryCluster emsBatteryCluster);

    /**
     * 修改电池簇数据
     *
     * @param emsBatteryCluster 电池簇数据
     * @return 结果
     */
    public int updateEmsBatteryCluster(EmsBatteryCluster emsBatteryCluster);

    /**
     * 批量删除电池簇数据
     *
     * @param ids 需要删除的电池簇数据主键集合
     * @return 结果
     */
    public int deleteEmsBatteryClusterByIds(Long[] ids);

    /**
     * 删除电池簇数据信息
     *
     * @param id 电池簇数据主键
     * @return 结果
     */
    public int deleteEmsBatteryClusterById(Long id);
}
